Download it now!
Bug 119898 - Provisions/strategies for Enriching the Default Dictionaries.
Summary: Provisions/strategies for Enriching the Default Dictionaries.
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-15 17:08 UTC by Aravind G
Modified: 2018-09-19 18:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aravind G 2018-09-15 17:08:28 UTC
Description:
Now the Dicktionary lacks many words especially technical and regional. 
Please consider the following the following.
1. Add to dictionary should allow selection of technical/standard user defined dictionary.
2. Also give some provisions to add the word to general default dictionary. Uploaded from LibreOffice with some web link and/or description which validate the word. 
which should be verified by the LibreOffice development team and added to the default dictionary.
3. If possible allow addition of meaning also. 
4. This can be done for different languages. Also.
5. Can Invoke user support. So with the support of numerous users, Great Dictionaries can be made.

Actual Results:
1. No provision for selecting technical or standard, while adding a word to user defined dictionary. or any other dictionary.
2. No provision for the user to enrich the default LO dictionary.
 Also give some provisions to add the word to general default dictionary. Uploaded from LibreOffice with some web link and/or description which validate the word. 
which should be verified by the LibreOffice development team and added to the default dictionary.
3. If possible allow addition of meaning also. 
4. This can be done for different languages. Also.
5. Can Invoke user support. So with the support of numerous users, Great Dictionaries can be made.

Expected Results:
Provision to add word to the desired user defined dictionary.
Recommend it to the default LO dictionary.
Enhanced user participation in enriching dictionary.
Reporting bug directly from Libreoffice. All parameters like LO version , OS, etc should be automatically derived from the installed LO.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 V Stuart Foote 2018-09-15 18:11:00 UTC
Interesting idea...

Assume it would require curl for submission.

Not clear what architecture would be needed on the back end to accommodate incoming "contributions" for bundling by locale/language into collaborative dictionaries for delivery upstream to HunSpell and LightProof projects.
Comment 2 László Németh 2018-09-18 14:38:00 UTC
Giving patches to the recent dictionaries it's not a bad approach. For example, see Google's dictionary extensions:

https://blog.chromium.org/2009/02/spell-check-dictionary-improvements.html
https://src.chromium.org/viewvc/chrome/trunk/deps/third_party/hunspell_dictionaries/

Dictionary extension is not an easy task. Scientific or special dictionaries are often mutually exclusive to the standard vocabulary. Fortunately, now it's possible to set this behavior in LibreOffice, too, using custom dictionaries, ie. to add (default or default) extra word lists to LibreOffice with affixation and compounding:

https://wiki.documentfoundation.org/ReleaseNotes/6.0#.E2.80.9CGrammar_By.E2.80.9D_spell_checking

Giving a readable dictionary title to the shipped custom dictionaries:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c8fbce439db78dd85295833df494a651bd64dcd4

For example, non-default custom Hungarian dictionary with affixation and a readable dictionary title, shipped with the Hungarian LibreOffice distribution:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6247c966942a0e43320a234302a67c1f92c2eea7
Comment 3 Heiko Tietze 2018-09-19 18:33:40 UTC
Agreeing wit László that our user dictionaries covers special vocabulary. Otherwise it would be out of scope for an office suite to improve the dictionaries, IMHO.